Bug 1642549 - Content Host filter is showing only 1 page of result
Summary: Content Host filter is showing only 1 page of result
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Hosts - Content
Version: 6.4
Hardware: All
OS: All
unspecified
high vote
Target Milestone: Released
Assignee: John Mitsch
QA Contact: Stephen Wadeley
URL:
Whiteboard:
: 1652489 1704865 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-10-24 16:09 UTC by Anand Agrawal
Modified: 2019-10-07 17:19 UTC (History)
15 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1661293 (view as bug list)
Environment:
Last Closed: 2019-05-14 12:38:26 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:38:33 UTC
Foreman Issue Tracker 25487 None None None 2018-12-06 14:04:44 UTC
Red Hat Knowledge Base (Solution) 3785661 None None None 2019-01-04 14:04:40 UTC

Description Anand Agrawal 2018-10-24 16:09:22 UTC
Description of problem:
When applying a filter on the content host page we only get one page of results back, for example, if we filter for "os_major = 7" we only get 20 results which is exactly one page (per-page). We have way over 40 RHEL 7 content hosts registered to our Satellite Server.


Version-Release number of selected component (if applicable):
6.4

How reproducible:
Always

Steps to Reproduce:
1. Hosts -> Content Hosts
2. Filter os_major = 7
3. This will show the result only up to the per_page setting, next page option not available

Actual results:
It doesn't show page 2 or more records

Expected results:
It should show more pages if the filter is applicable.

Additional info:

Comment 2 Samson Wick 2018-11-06 20:38:23 UTC
I'm having the exact problem described here at a different customer, but wanted to add the detail that by altering "per_page" value in the URL to a very large number (example 500), the UI maximum of 100/page can be exceeded and all results will show up on the 1 page of filtered results.  Further, this larger per_page value will continue to be used by the UI for subsequent searches.

Example:

https://satellite.example.com/content_hosts?page=1&per_page=500&sortBy=name&sortOrder=ASC&search=%20hypervisor%20%3D%20%20false

Comment 3 Matt Millard 2018-11-09 14:46:30 UTC
I'll also add that by changing the page= to a larger number that page will show up even if it says there are only 1 page.  For page 5 you would just set page=5.

Comment 5 John Mitsch 2018-12-06 14:04:38 UTC
Connecting redmine issue https://projects.theforeman.org/issues/25487 from this bug

Comment 7 Brad Buckingham 2018-12-07 13:25:48 UTC
*** Bug 1652489 has been marked as a duplicate of this bug. ***

Comment 11 errata-xmlrpc 2019-05-14 12:38:26 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222

Comment 12 Brad Buckingham 2019-09-23 18:11:33 UTC
*** Bug 1704865 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.